GENERIC_COUNT(1)

NAME
generic_count - count physical lines of code, given a comment marker

SYNOPSIS
generic_count commentstart [ --f file ] files...

DESCRIPTION

This is a trivial/naive program for scripts used for sloccount toolsuite. This manpage is used for all the scripts using generic_count (currently: ada_count, awk_count, csh_count, erlang_count, exp_count, lisp_count, makefile_count, ruby_count, sed_count, sh_count, tcl_count )

OPTIONS

commentstart
    String that begins a comment (continuing until end-of-line).

-f file
    File with a list of files to count (if "-", read list from stdin). It can coexist with a list of files on command line.

SEE ALSO
See sloccount(1) for additional details about SLOCCount suite.

AUTHOR
This manual page was written by Sandro Tosi <matrixhasu@gmail.com>, for the Debian project (but may be used by others)